View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008315ParaView(No Category)public2008-12-18 05:572010-06-16 16:33
ReporterStephane P 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.8Fixed in Version3.8 
Summary0008315: select points on and select cells on select points outside the frustrum
Descriptionload the associated state file
The camera is far away from the dataset
try to select the cells on the top half of the wavelet
--> some cells are selected on the other half of the wavelet.
(see screen shots)
TagsNo tags attached.
ProjectParaViS
Topic Name
Type
Attached Files? file icon bug_select_cell_on.pvsm [^] (89,222 bytes) 2008-12-18 05:57
png file icon bug_select_cells_on_zoomed.png [^] (171,366 bytes) 2008-12-18 05:58


png file icon bug_select_cells_on.png [^] (144,627 bytes) 2008-12-18 05:58

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0014398)
Ken Moreland (manager)
2008-12-18 09:53

The select cells on function works by doing a "pick" render and reading cell ids out of the frame buffer. Thus, what is selected is whatever the renderer says is in the front.

It looks like your graphics card is having some z-buffer fighting that is allowing cells in the back poke through to the front. I cannot replicate this on my system. Why type of graphics card do you have?
(0014399)
Stephane P (reporter)
2008-12-18 10:08

I understand that the "select points on" and "select cells on" use that graphic card and read back values written on the buffer. This is why some cells are not seleteced and it is ok.

The problem here is that the selection finds cells that are *not* in the frustrum.
In the zoomed image, I only zoomed in, I did not modify the camera orientation and selected only the top of the wavelet source.

My graphics card is a Quadro FX 1600M (laptop)
(0015075)
Utkarsh Ayachit (administrator)
2009-02-17 15:58

That can happen if anti-aliasing/multisampling is turned on, (in which case colors rendered get slightly distorted resulting in incorrect interpretation.
(0020967)
Utkarsh Ayachit (administrator)
2010-06-10 10:51

Reported as fixed by reporter.
(0021048)
Alan Scott (manager)
2010-06-16 16:33

Closing, as per the reporter.

- Issue History
Date Modified Username Field Change
2008-12-18 05:57 Stephane P New Issue
2008-12-18 05:57 Stephane P File Added: bug_select_cell_on.pvsm
2008-12-18 05:58 Stephane P File Added: bug_select_cells_on_zoomed.png
2008-12-18 05:58 Stephane P File Added: bug_select_cells_on.png
2008-12-18 09:53 Ken Moreland Note Added: 0014398
2008-12-18 10:08 Stephane P Note Added: 0014399
2009-02-17 15:58 Utkarsh Ayachit Note Added: 0015075
2009-02-17 15:58 Utkarsh Ayachit Category 3.6 => 3.8
2009-05-13 13:40 Utkarsh Ayachit Target Version => 3.8
2010-06-10 10:51 Utkarsh Ayachit Note Added: 0020967
2010-06-10 10:51 Utkarsh Ayachit Status backlog => @80@
2010-06-10 10:51 Utkarsh Ayachit Fixed in Version => 3.8
2010-06-10 10:51 Utkarsh Ayachit Resolution open => fixed
2010-06-10 10:51 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2010-06-16 16:33 Alan Scott Note Added: 0021048
2010-06-16 16:33 Alan Scott Status @80@ => closed
2011-06-16 13:10 Zack Galbreath Category => (No Category)
2011-06-23 11:44 Utkarsh Ayachit Project => ParaViS


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker